MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
dcesrv_mapiproxy_server.c File Reference

mapiproxy server modules management More...

`#include "mapiproxy/dcesrv_mapiproxy.h"`
`#include "libmapiproxy.h"`
`#include <util/debug.h>`

## Functions
_PUBLIC_ TDB_CONTEXT * | mapiproxy_server_emsabp_tdb_init (struct loadparm_context *lp_ctx)
_PUBLIC_ NTSTATUS | mapiproxy_server_init (struct dcesrv_context *dce_ctx)
_PUBLIC_ void * | mapiproxy_server_openchange_ldb_init (struct loadparm_context *lp_ctx)

## Detailed Description

mapiproxy server modules management

## Function Documentation

_PUBLIC_ TDB_CONTEXT* mapiproxy_server_emsabp_tdb_init | ( | struct loadparm_context * | lp_ctx | ) |

Initialize an EMSABP TDB context available to all instances when Samba is not run in single mode.

Parameters

  lp_ctx | pointer to the loadparm context

Note
  TDB database can't be opened twice with O_RDWR flags. We ensure here we have a general context initialized, which we'll reopen within forked instances

return Allocated TDB context on success, otherwise NULL

Referenced by emsabp_tdb_init().

_PUBLIC_ NTSTATUS mapiproxy_server_init | ( | struct dcesrv_context * | dce_ctx | ) |

Initialize mapiproxy servers modules

Parameters

  dce_ctx | pointer to the connection context

Returns
  NT_STATUS_OK on success otherwise NT error

Referenced by mapiproxy_op_init_server().

_PUBLIC_ void* mapiproxy_server_openchange_ldb_init | ( | struct loadparm_context * | lp_ctx | ) |

Initialize an openchange LDB context available to all mapiproxy instances. This LDB context points on the OpenChange dispatcher database used within emsmdb default provider.

Parameters

  lp_ctx | pointer to the loadparm context

Note
  The memory context is not free'd leading and causes a loss record.

Returns
  Allocated LDB context on success, otherwise NULL

Referenced by emsmdbp_openchange_ldb_init().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/